INSERT INTO "AWIS"."RECHTESTUFEN" (XRS_XRC_ID, XRS_BIT, XRS_BESCHREIBUNG) VALUES ('3718', '2', 'Datenexport');
COMMIT;

INSERT INTO EXPORTDATEN(XDE_KEY, XDE_XRC_ID, XDE_STUFE, XDE_BEZEICHNUNG, XDE_BESCHREIBUNG, XDE_SQL, XDE_STATUS, XDE_USER, XDE_USERDAT)
VALUES(142, 3718, 2, 'CRM - Datenexport AX-KV-Regeln', 'Exportiert die Daten die im Reiter AX-KV-Regeln hinterlegt wurden',
'SELECT
    CAQ_VERTRAGSNUMMER,
    CAD_STATUS,
    CAD_NAME1,
    CAD_NAME2,
    CAD_NAME3,
    CAD_STRASSE,
    CAD_HAUSNUMMER,
    CAD_PLZ,
    CAD_ORT,
    CAD_LAN_CODE,
    CBR_REGELAKTIV,
    CBR_BETRAG,
    CBR_KMSTAND,
    CBR_FAHRZEUGALTER,
    CBR_MAILEMPFAENGER,
    CBR_AUFTRAGBEZOGEN
  FROM CRMB2BKVREGELN LEFT JOIN CRMADRESSEN
  ON CBR_CAD_KEY = CAD_KEY
  LEFT JOIN CRMAKQUISESTAND
  ON CBR_CAD_KEY = CAQ_CAD_KEY',
'A', 'Stefan Oppl', SYSDATE);
COMMIT;

INSERT INTO EXPORTDATENFELDER(XDF_XDE_KEY, XDF_FELDNAME, XDF_DATENTYP, XDF_FELDLAENGE, XDF_SPALTENBREITE, XDF_DATENQUELLE,
XDF_SORTIERUNG, XDF_USER, XDF_USERDAT, XDF_TEXTKONSERVE, XDF_PFLICHTFELD, XDF_FILTERFELD)
VALUES(142, 'CAQ_VERTRAGSNUMMER', 'T', 10, 100, null, '10', 'Stefan Oppl', SYSDATE, '', 0, 1);
INSERT INTO EXPORTDATENFELDER(XDF_XDE_KEY, XDF_FELDNAME, XDF_DATENTYP, XDF_FELDLAENGE, XDF_SPALTENBREITE, XDF_DATENQUELLE,
XDF_SORTIERUNG, XDF_USER, XDF_USERDAT, XDF_TEXTKONSERVE, XDF_PFLICHTFELD, XDF_FILTERFELD)
VALUES(142, 'CAD_STATUS', 'T', 10, 150, 'TXT:CAD:lst_CAD_STATUS', '20', 'Stefan Oppl', SYSDATE, '', 0, 1);
INSERT INTO EXPORTDATENFELDER(XDF_XDE_KEY, XDF_FELDNAME, XDF_DATENTYP, XDF_FELDLAENGE, XDF_SPALTENBREITE, XDF_DATENQUELLE,
XDF_SORTIERUNG, XDF_USER, XDF_USERDAT, XDF_TEXTKONSERVE, XDF_PFLICHTFELD, XDF_FILTERFELD)
VALUES(142, 'CAD_NAME1', 'T', 50, 150, null, '30', 'Stefan Oppl', SYSDATE, '', 0, 1);
INSERT INTO EXPORTDATENFELDER(XDF_XDE_KEY, XDF_FELDNAME, XDF_DATENTYP, XDF_FELDLAENGE, XDF_SPALTENBREITE, XDF_DATENQUELLE,
XDF_SORTIERUNG, XDF_USER, XDF_USERDAT, XDF_TEXTKONSERVE, XDF_PFLICHTFELD, XDF_FILTERFELD)
VALUES(142, 'CAD_NAME2', 'T', 50, 150, null, '40', 'Stefan Oppl', SYSDATE, '', 0, 1);
INSERT INTO EXPORTDATENFELDER(XDF_XDE_KEY, XDF_FELDNAME, XDF_DATENTYP, XDF_FELDLAENGE, XDF_SPALTENBREITE, XDF_DATENQUELLE,
XDF_SORTIERUNG, XDF_USER, XDF_USERDAT, XDF_TEXTKONSERVE, XDF_PFLICHTFELD, XDF_FILTERFELD)
VALUES(142, 'CAD_NAME3', 'T', 50, 150, null, '50', 'Stefan Oppl', SYSDATE, '', 0, 1);
INSERT INTO EXPORTDATENFELDER(XDF_XDE_KEY, XDF_FELDNAME, XDF_DATENTYP, XDF_FELDLAENGE, XDF_SPALTENBREITE, XDF_DATENQUELLE,
XDF_SORTIERUNG, XDF_USER, XDF_USERDAT, XDF_TEXTKONSERVE, XDF_PFLICHTFELD, XDF_FILTERFELD)
VALUES(142, 'CAD_STRASSE', 'T', 50, 150, null, '60', 'Stefan Oppl', SYSDATE, '', 0, 1);
INSERT INTO EXPORTDATENFELDER(XDF_XDE_KEY, XDF_FELDNAME, XDF_DATENTYP, XDF_FELDLAENGE, XDF_SPALTENBREITE, XDF_DATENQUELLE,
XDF_SORTIERUNG, XDF_USER, XDF_USERDAT, XDF_TEXTKONSERVE, XDF_PFLICHTFELD, XDF_FILTERFELD)
VALUES(142, 'CAD_HAUSNUMMER', 'T', 50, 50, null, '70', 'Stefan Oppl', SYSDATE, '', 0, 1);
INSERT INTO EXPORTDATENFELDER(XDF_XDE_KEY, XDF_FELDNAME, XDF_DATENTYP, XDF_FELDLAENGE, XDF_SPALTENBREITE, XDF_DATENQUELLE,
XDF_SORTIERUNG, XDF_USER, XDF_USERDAT, XDF_TEXTKONSERVE, XDF_PFLICHTFELD, XDF_FILTERFELD)
VALUES(142, 'CAD_PLZ', 'T', 50, 100, null, '80', 'Stefan Oppl', SYSDATE, '', 0, 1);
INSERT INTO EXPORTDATENFELDER(XDF_XDE_KEY, XDF_FELDNAME, XDF_DATENTYP, XDF_FELDLAENGE, XDF_SPALTENBREITE, XDF_DATENQUELLE,
XDF_SORTIERUNG, XDF_USER, XDF_USERDAT, XDF_TEXTKONSERVE, XDF_PFLICHTFELD, XDF_FILTERFELD)
VALUES(142, 'CAD_ORT', 'T', 50, 150, 'TXT:Liste:lst_Monat', '90', 'Stefan Oppl', SYSDATE, '', 0, 1);
INSERT INTO EXPORTDATENFELDER(XDF_XDE_KEY, XDF_FELDNAME, XDF_DATENTYP, XDF_FELDLAENGE, XDF_SPALTENBREITE, XDF_DATENQUELLE,
XDF_SORTIERUNG, XDF_USER, XDF_USERDAT, XDF_TEXTKONSERVE, XDF_PFLICHTFELD, XDF_FILTERFELD)
VALUES(142, 'CAD_LAN_CODE', 'T', 50, 100, null, '100', 'Stefan Oppl', SYSDATE, '', 0, 1);
INSERT INTO EXPORTDATENFELDER(XDF_XDE_KEY, XDF_FELDNAME, XDF_DATENTYP, XDF_FELDLAENGE, XDF_SPALTENBREITE, XDF_DATENQUELLE,
XDF_SORTIERUNG, XDF_USER, XDF_USERDAT, XDF_TEXTKONSERVE, XDF_AUSDRUCK, XDF_PFLICHTFELD, XDF_FILTERFELD)
VALUES(142, 'CBR_REGELAKTIV', 'N0', 10, 150, 'TXT:Liste:lst_JaNein', '110', 'Stefan Oppl', SYSDATE, '', 'func_textkonserve(''lst_JaNein'',''Liste'',''DE'',CBR_REGELAKTIV)', 0, 1);
INSERT INTO EXPORTDATENFELDER(XDF_XDE_KEY, XDF_FELDNAME, XDF_DATENTYP, XDF_FELDLAENGE, XDF_SPALTENBREITE, XDF_DATENQUELLE,
XDF_SORTIERUNG, XDF_USER, XDF_USERDAT, XDF_TEXTKONSERVE, XDF_PFLICHTFELD, XDF_FILTERFELD)
VALUES(142, 'CBR_BETRAG', 'T', 50, 100, null, '120', 'Stefan Oppl', SYSDATE, '', 0, 1);
INSERT INTO EXPORTDATENFELDER(XDF_XDE_KEY, XDF_FELDNAME, XDF_DATENTYP, XDF_FELDLAENGE, XDF_SPALTENBREITE, XDF_DATENQUELLE,
XDF_SORTIERUNG, XDF_USER, XDF_USERDAT, XDF_TEXTKONSERVE, XDF_PFLICHTFELD, XDF_FILTERFELD)
VALUES(142, 'CBR_KMSTAND', 'T', 50, 100, null, '130', 'Stefan Oppl', SYSDATE, '', 0, 1);
INSERT INTO EXPORTDATENFELDER(XDF_XDE_KEY, XDF_FELDNAME, XDF_DATENTYP, XDF_FELDLAENGE, XDF_SPALTENBREITE, XDF_DATENQUELLE,
XDF_SORTIERUNG, XDF_USER, XDF_USERDAT, XDF_TEXTKONSERVE, XDF_PFLICHTFELD, XDF_FILTERFELD)
VALUES(142, 'CBR_FAHRZEUGALTER', 'T', 50, 100, null, '140', 'Stefan Oppl', SYSDATE, '', 0, 1);
INSERT INTO EXPORTDATENFELDER(XDF_XDE_KEY, XDF_FELDNAME, XDF_DATENTYP, XDF_FELDLAENGE, XDF_SPALTENBREITE, XDF_DATENQUELLE,
XDF_SORTIERUNG, XDF_USER, XDF_USERDAT, XDF_TEXTKONSERVE, XDF_PFLICHTFELD, XDF_FILTERFELD)
VALUES(142, 'CBR_MAILEMPFAENGER', 'T', 200, 350, null, '150', 'Stefan Oppl', SYSDATE, '', 0, 1);
INSERT INTO EXPORTDATENFELDER(XDF_XDE_KEY, XDF_FELDNAME, XDF_DATENTYP, XDF_FELDLAENGE, XDF_SPALTENBREITE, XDF_DATENQUELLE,
XDF_SORTIERUNG, XDF_USER, XDF_USERDAT, XDF_TEXTKONSERVE, XDF_AUSDRUCK, XDF_PFLICHTFELD, XDF_FILTERFELD)
VALUES(142, 'CBR_AUFTRAGBEZOGEN', 'N0', 10, 150, 'TXT:Liste:lst_JaNein', '160', 'Stefan Oppl', SYSDATE, '', 'func_textkonserve(''lst_JaNein'',''Liste'',''DE'',CBR_AUFTRAGBEZOGEN)', 0, 1);
COMMIT;
